# __gnu_pbds::hash_load_check_resize_trigger< External_Load_Access, Size_Type > Class Template Reference

List of all members.

## Detailed Description

### template<bool External_Load_Access = false, typename Size_Type = size_t>
class __gnu_pbds::hash_load_check_resize_trigger< External_Load_Access, Size_Type >

Definition at line 190 of file hash_policy.hpp.

## Public Types

- enum { external_load_access }
- typedef Size_Type size_type

## Public Member Functions

- std::pair< float, float > get_loads () const
- hash_load_check_resize_trigger (float load_min=0.125, float load_max=0.5)
- void set_loads (std::pair< float, float > load_pair)
- void swap (hash_load_check_resize_trigger &other)

## Protected Member Functions

- bool is_grow_needed (size_type size, size_type num_entries) const
- bool is_resize_needed () const
- void notify_cleared ()
- void notify_erase_search_collision ()
- void notify_erase_search_end ()
- void notify_erase_search_start ()
- void notify_erased (size_type num_entries)
- void notify_externally_resized (size_type new_size)
- void notify_find_search_collision ()
- void notify_find_search_end ()
- void notify_find_search_start ()
- void notify_insert_search_collision ()
- void notify_insert_search_end ()
- void notify_insert_search_start ()
- void notify_inserted (size_type num_entries)
- void notify_resized (size_type new_size)

The documentation for this class was generated from the following file:

- hash_policy.hpp